#
#               Copyright (c) 1999-2002 Georg Huettenegger
#

# -I../win32: win32 is the loation of SCSIDefs.h and WnASPI32.h
DEF=-I../win32 -Icommon -Iconsole -DWIN32 -DWall

all: plextor-tool.exe

plextor-tool.exe: common/common-functions.obj console/cplextor-tool.c
	gcc $(DEF) -o console/cplextor-tool.obj -c console/cplextor-tool.c
	gcc -o plextor-tool.exe common/common-functions.obj console/cplextor-tool.obj

ls_mode_pages: common/common-functions.obj console/ls_mode_pages.c
	gcc $(DEF) -o console/ls_mode_pages.obj -c console/ls_mode_pages.c
	gcc -o ls_mode_pages.exe common/common-functions.obj console/ls_mode_pages.obj

common/common-functions.obj: common/common-functions.c
	gcc $(DEF) -o common/common-functions.obj -c common/common-functions.c

clean:
	rm -f common/*.obj
	rm -f console/*.obj
	rm -f plextor-tool.exe
	rm -f ls_mode_pages.exe
